/***************************************************************************/
/** @file       window.h
    @brief      アプリケーション（ウィンドウ）実装関数の定義
    @author     shom
****************************************************************************/

#pragma once

namespace window
{
#ifdef DX
	HWND	InitApp( HINSTANCE hinst, int nCmdShow );
	int		FinApp( HWND h_wnd, HINSTANCE hinst );
	
	LRESULT CALLBACK callback_msg_proc(
		HWND	HWnd,
		UINT	msg,
		WPARAM	wParam,
		LPARAM	lParam
		);
#endif	//DX

	b32		IsWindowActive();
	b32		IsMessageBoxAppearing();

	u32		GetClientWidth();
	u32		GetClientHeight();
	void	SetClientWidth( u32 width );
	void	SetClientHeight( u32 height );

	u32		GetWindowPosX();
	u32		GetWindowPosY();
	void	SetWindowPosX( u32 x );
	void	SetWindowPosY( u32 y );
}


